"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
exports.rules = {
    'padding-before-after-all-blocks': utils_1.makeRule([
        { blankLine: 'always', prev: '*', next: 'afterAll' },
    ]),
    'padding-before-after-each-blocks': utils_1.makeRule([
        { blankLine: 'always', prev: '*', next: 'afterEach' },
    ]),
    'padding-before-before-all-blocks': utils_1.makeRule([
        { blankLine: 'always', prev: '*', next: 'beforeAll' },
    ]),
    'padding-before-before-each-blocks': utils_1.makeRule([
        { blankLine: 'always', prev: '*', next: 'beforeEach' },
    ]),
    'padding-before-describe-blocks': utils_1.makeRule([
        { blankLine: 'always', prev: '*', next: 'describe' },
    ]),
    'padding-before-expect-statements': utils_1.makeRule([
        { blankLine: 'always', prev: '*', next: 'expect' },
        { blankLine: 'any', prev: 'expect', next: 'expect' },
    ]),
    'padding-before-test-blocks': utils_1.makeRule([
        { blankLine: 'always', prev: '*', next: ['test', 'it'] },
    ]),
    'padding-before-all': utils_1.makeRule([
        {
            blankLine: 'always',
            prev: '*',
            next: [
                'afterAll',
                'afterEach',
                'beforeAll',
                'beforeEach',
                'describe',
                'expect',
                'it',
                'test',
            ],
        },
        { blankLine: 'any', prev: 'expect', next: 'expect' },
    ]),
};
